<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer -&gt; ApplicationUtilities Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>AndroidSLESMediaPlayer &rarr; ApplicationUtilities Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in MediaPlayer/AndroidSLESMediaPlayer</th><th class="dirtab">Includes file in ApplicationUtilities</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a>&#160;/&#160;<a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_player_8h.html">AndroidSLESMediaPlayer.h</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_engine_8h.html">AndroidSLESEngine.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a>&#160;/&#160;<a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_player_8h.html">AndroidSLESMediaPlayer.h</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_object_8h.html">AndroidSLESObject.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a>&#160;/&#160;<a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_queue_8h.html">AndroidSLESMediaQueue.h</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_object_8h.html">AndroidSLESObject.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a>&#160;/&#160;<a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_speaker_8h.html">AndroidSLESSpeaker.h</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_engine_8h.html">AndroidSLESEngine.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a>&#160;/&#160;<a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_speaker_8h.html">AndroidSLESSpeaker.h</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_object_8h.html">AndroidSLESObject.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_player_test_8cpp.html">AndroidSLESMediaPlayerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_logger_8h.html">AndroidLogger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_player_test_8cpp.html">AndroidSLESMediaPlayerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_engine_8h.html">AndroidSLESEngine.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_player_test_8cpp.html">AndroidSLESMediaPlayerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a>&#160;/&#160;<a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a>&#160;/&#160;<a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="dir_4f8dc53214019b9c03c39419ac45afdb.html">Data</a>&#160;/&#160;<a class="el" href="med__alerts__notification__01_8___t_t_h___8mp3_8h.html">med_alerts_notification_01._TTH_.mp3.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_player_test_8cpp.html">AndroidSLESMediaPlayerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a>&#160;/&#160;<a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a>&#160;/&#160;<a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="dir_4f8dc53214019b9c03c39419ac45afdb.html">Data</a>&#160;/&#160;<a class="el" href="med__system__alerts__melodic__01__short_8___t_t_h___8wav_8h.html">med_system_alerts_melodic_01_short._TTH_.wav.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_queue_test_8cpp.html">AndroidSLESMediaQueueTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_logger_8h.html">AndroidLogger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_media_queue_test_8cpp.html">AndroidSLESMediaQueueTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_ba991d363617c24a5edc675ea753ac04.html">test</a>&#160;/&#160;<a class="el" href="dir_e934f49e86460ee8cd6cf98b58604644.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_mock_android_s_l_e_s_object_8h.html">MockAndroidSLESObject.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_android_s_l_e_s_speaker_test_8cpp.html">AndroidSLESSpeakerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_ba991d363617c24a5edc675ea753ac04.html">test</a>&#160;/&#160;<a class="el" href="dir_e934f49e86460ee8cd6cf98b58604644.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_mock_android_s_l_e_s_object_8h.html">MockAndroidSLESObject.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_f_fmpeg_attachment_input_controller_test_8cpp.html">FFmpegAttachmentInputControllerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a>&#160;/&#160;<a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a>&#160;/&#160;<a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="dir_4f8dc53214019b9c03c39419ac45afdb.html">Data</a>&#160;/&#160;<a class="el" href="med__alerts__notification__01_8___t_t_h___8mp3_8h.html">med_alerts_notification_01._TTH_.mp3.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_f_fmpeg_decoder_test_8cpp.html">FFmpegDecoderTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="dir_2ef52002849e5065fc0e1bb38b143549.html">include</a>&#160;/&#160;<a class="el" href="dir_691ac723b59835d8cc7304ebace6d7e5.html">AndroidUtilities</a>&#160;/&#160;<a class="el" href="_android_logger_8h.html">AndroidLogger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a>&#160;/&#160;<a class="el" href="_f_fmpeg_stream_input_controller_test_8cpp.html">FFmpegStreamInputControllerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a>&#160;/&#160;<a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a>&#160;/&#160;<a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="dir_4f8dc53214019b9c03c39419ac45afdb.html">Data</a>&#160;/&#160;<a class="el" href="med__alerts__notification__01_8___t_t_h___8mp3_8h.html">med_alerts_notification_01._TTH_.mp3.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
